Skip to main content
POST
/
transactions
/
payment
/
{paymentId}
/
verify
Verify payment
curl --request POST \
  --url https://api.orafi.app/v1/transactions/payment/{paymentId}/verify
{
  "success": true,
  "message": "Payment verified successfully",
  "data": {
    "id": "payment_abc123",
    "amount": 100,
    "amountInUSDC": 100,
    "token": "USDC",
    "depositAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
    "txRef": "tx_ref_123",
    "status": "CONFIRMED",
    "paymentMethod": "HOSTED_CHECKOUT",
    "subscriptionId": "<string>",
    "subscription": {
      "id": "sub_abc123",
      "customerId": "<string>",
      "planId": "<string>",
      "network": "SUI",
      "startsAt": "2023-11-07T05:31:56Z",
      "endsAt": "2023-11-07T05:31:56Z",
      "canceledAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    },
    "redirectUrl": "https://example.com/success",
    "paylinkId": "<string>",
    "customerId": "<string>",
    "transactionId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

paymentId
string
required

The payment ID to verify

Response

Payment verified successfully

success
boolean
Example:

true

message
string
Example:

"Payment verified successfully"

data
object